# azure.mgmt.logic.models module

exception `azure.mgmt.logic.models.``ErrorResponseException`(deserialize, response, *args)

  Bases: `msrest.exceptions.HttpOperationError`

  Server responsed with exception of type: ‘ErrorResponse’.

  Parameters:

  - deserialize – A deserializer
  - response – Server response to be deserialized.

class `azure.mgmt.logic.models.``Resource`(*, location: str = None, tags=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The base resource type.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource id.
  - name (str) – Gets the resource name.
  - type (str) – Gets the resource type.

  Parameters:

  - location (str) – The resource location.
  - tags (dict[str, str]) – The resource tags.

class `azure.mgmt.logic.models.``SubResource`(**kwargs)

  Bases: `msrest.serialization.Model`

  The sub resource type.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables: | id (str) – The resource id.

class `azure.mgmt.logic.models.``ResourceReference`(*, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The resource reference.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | id (str) – The resource id.

  Variables:

  - name (str) – Gets the resource name.
  - type (str) – Gets the resource type.

class `azure.mgmt.logic.models.``Sku`(*, name, plan=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The sku type.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - name (str or SkuName) – Required. The name. Possible values include: ‘NotSpecified’, ‘Free’, ‘Shared’, ‘Basic’, ‘Standard’, ‘Premium’
  - plan (ResourceReference) – The reference to plan.

class `azure.mgmt.logic.models.``WorkflowParameter`(*, type=None, value=None, metadata=None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The workflow parameters.

  Parameters:

  - type (str or ParameterType) – The type. Possible values include: ‘NotSpecified’, ‘String’, ‘SecureString’, ‘Int’, ‘Float’, ‘Bool’, ‘Array’, ‘Object’, ‘SecureObject’
  - value (object) – The value.
  - metadata (object) – The metadata.
  - description (str) – The description.

class `azure.mgmt.logic.models.``Workflow`(*, location: str = None, tags=None, state=None, sku=None, integration_account=None, definition=None, parameters=None, **kwargs)

  Bases: `azure.mgmt.logic.models.resource_py3.Resource`

  The workflow type.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource id.
  - name (str) – Gets the resource name.
  - type (str) – Gets the resource type.
  - provisioning_state (str or WorkflowProvisioningState) – Gets the provisioning state. Possible values include: ‘NotSpecified’, ‘Accepted’, ‘Running’, ‘Ready’, ‘Creating’, ‘Created’, ‘Deleting’, ‘Deleted’, ‘Canceled’, ‘Failed’, ‘Succeeded’, ‘Moving’, ‘Updating’, ‘Registering’, ‘Registered’, ‘Unregistering’, ‘Unregistered’, ‘Completed’
  - created_time (datetime) – Gets the created time.
  - changed_time (datetime) – Gets the changed time.
  - version (str) – Gets the version.
  - access_endpoint (str) – Gets the access endpoint.

  Parameters:

  - location (str) – The resource location.
  - tags (dict[str, str]) – The resource tags.
  - state (str or WorkflowState) – The state. Possible values include: ‘NotSpecified’, ‘Completed’, ‘Enabled’, ‘Disabled’, ‘Deleted’, ‘Suspended’
  - sku (Sku) – The sku.
  - integration_account (ResourceReference) – The integration account.
  - definition (object) – The definition.
  - parameters (dict[str, WorkflowParameter]) – The parameters.

class `azure.mgmt.logic.models.``WorkflowFilter`(*, state=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The workflow filter.

  Parameters: | state (str or WorkflowState) – The state of workflows. Possible values include: ‘NotSpecified’, ‘Completed’, ‘Enabled’, ‘Disabled’, ‘Deleted’, ‘Suspended’

class `azure.mgmt.logic.models.``WorkflowVersion`(*, location: str = None, tags=None, state=None, sku=None, integration_account=None, definition=None, parameters=None, **kwargs)

  Bases: `azure.mgmt.logic.models.resource_py3.Resource`

  The workflow version.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource id.
  - name (str) – Gets the resource name.
  - type (str) – Gets the resource type.
  - created_time (datetime) – Gets the created time.
  - changed_time (datetime) – Gets the changed time.
  - version (str) – Gets the version.
  - access_endpoint (str) – Gets the access endpoint.

  Parameters:

  - location (str) – The resource location.
  - tags (dict[str, str]) – The resource tags.
  - state (str or WorkflowState) – The state. Possible values include: ‘NotSpecified’, ‘Completed’, ‘Enabled’, ‘Disabled’, ‘Deleted’, ‘Suspended’
  - sku (Sku) – The sku.
  - integration_account (ResourceReference) – The integration account.
  - definition (object) – The definition.
  - parameters (dict[str, WorkflowParameter]) – The parameters.

class `azure.mgmt.logic.models.``RecurrenceScheduleOccurrence`(*, day=None, occurrence: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The recurrence schedule occurrence.

  Parameters:

  - day (str or DayOfWeek) – The day of the week. Possible values include: ‘Sunday’, ‘Monday’, ‘Tuesday’, ‘Wednesday’, ‘Thursday’, ‘Friday’, ‘Saturday’
  - occurrence (int) – The occurrence.

class `azure.mgmt.logic.models.``RecurrenceSchedule`(*, minutes=None, hours=None, week_days=None, month_days=None, monthly_occurrences=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The recurrence schedule.

  Parameters:

  - minutes (list[int]) – The minutes.
  - hours (list[int]) – The hours.
  - week_days (list[str or DaysOfWeek]) – The days of the week.
  - month_days (list[int]) – The month days.
  - monthly_occurrences (list[RecurrenceScheduleOccurrence]) – The monthly occurrences.

class `azure.mgmt.logic.models.``WorkflowTriggerRecurrence`(*, frequency=None, interval: int = None, start_time: str = None, end_time: str = None, time_zone: str = None, schedule=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The workflow trigger recurrence.

  Parameters:

  - frequency (str or RecurrenceFrequency) – The frequency. Possible values include: ‘NotSpecified’, ‘Second’, ‘Minute’, ‘Hour’, ‘Day’, ‘Week’, ‘Month’, ‘Year’
  - interval (int) – The interval.
  - start_time (str) – The start time.
  - end_time (str) – The end time.
  - time_zone (str) – The time zone.
  - schedule (RecurrenceSchedule) – The recurrence schedule.

class `azure.mgmt.logic.models.``WorkflowTrigger`(**kwargs)

  Bases: `azure.mgmt.logic.models.sub_resource_py3.SubResource`

  The workflow trigger.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource id.
  - provisioning_state (str or WorkflowTriggerProvisioningState) – Gets the provisioning state. Possible values include: ‘NotSpecified’, ‘Accepted’, ‘Running’, ‘Ready’, ‘Creating’, ‘Created’, ‘Deleting’, ‘Deleted’, ‘Canceled’, ‘Failed’, ‘Succeeded’, ‘Moving’, ‘Updating’, ‘Registering’, ‘Registered’, ‘Unregistering’, ‘Unregistered’, ‘Completed’
  - created_time (datetime) – Gets the created time.
  - changed_time (datetime) – Gets the changed time.
  - state (str or WorkflowState) – Gets the state. Possible values include: ‘NotSpecified’, ‘Completed’, ‘Enabled’, ‘Disabled’, ‘Deleted’, ‘Suspended’
  - status (str or WorkflowStatus) – Gets the status. Possible values include: ‘NotSpecified’, ‘Paused’, ‘Running’, ‘Waiting’, ‘Succeeded’, ‘Skipped’, ‘Suspended’, ‘Cancelled’, ‘Failed’, ‘Faulted’, ‘TimedOut’, ‘Aborted’, ‘Ignored’
  - last_execution_time (datetime) – Gets the last execution time.
  - next_execution_time (datetime) – Gets the next execution time.
  - recurrence (WorkflowTriggerRecurrence) – Gets the workflow trigger recurrence.
  - workflow (ResourceReference) – Gets the reference to workflow.
  - name (str) – Gets the workflow trigger name.
  - type (str) – Gets the workflow trigger type.

class `azure.mgmt.logic.models.``WorkflowTriggerFilter`(*, state=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The workflow trigger filter.

  Parameters: | state (str or WorkflowState) – The state of workflow trigger. Possible values include: ‘NotSpecified’, ‘Completed’, ‘Enabled’, ‘Disabled’, ‘Deleted’, ‘Suspended’

class `azure.mgmt.logic.models.``WorkflowTriggerListCallbackUrlQueries`(*, api_version: str = None, sp: str = None, sv: str = None, sig: str = None, se: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Gets the workflow trigger callback URL query parameters.

  Parameters:

  - api_version (str) – The api version.
  - sp (str) – The SAS permissions.
  - sv (str) – The SAS version.
  - sig (str) – The SAS signature.
  - se (str) – The SAS timestamp.

class `azure.mgmt.logic.models.``WorkflowTriggerCallbackUrl`(*, relative_path_parameters=None, queries=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The workflow trigger callback URL.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - value (str) – Gets the workflow trigger callback URL.
  - method (str) – Gets the workflow trigger callback URL HTTP method.
  - base_path (str) – Gets the workflow trigger callback URL base path.
  - relative_path (str) – Gets the workflow trigger callback URL relative path.

  Parameters:

  - relative_path_parameters (list[str]) – Gets the workflow trigger callback URL relative path parameters.
  - queries (WorkflowTriggerListCallbackUrlQueries) – Gets the workflow trigger callback URL query parameters.

class `azure.mgmt.logic.models.``Correlation`(*, client_tracking_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The correlation property.

  Parameters: | client_tracking_id (str) – The client tracking id.

class `azure.mgmt.logic.models.``ContentHash`(*, algorithm: str = None, value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The content hash.

  Parameters:

  - algorithm (str) – The algorithm of the content hash.
  - value (str) – The value of the content hash.

class `azure.mgmt.logic.models.``ContentLink`(*, uri: str = None, content_version: str = None, content_size: int = None, content_hash=None, metadata=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The content link.

  Parameters:

  - uri (str) – The content link URI.
  - content_version (str) – The content version.
  - content_size (long) – The content size.
  - content_hash (ContentHash) – The content hash.
  - metadata (object) – The metadata.

class `azure.mgmt.logic.models.``WorkflowTriggerHistory`(*, correlation=None, **kwargs)

  Bases: `azure.mgmt.logic.models.sub_resource_py3.SubResource`

  The workflow trigger history.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource id.
  - start_time (datetime) – Gets the start time.
  - end_time (datetime) – Gets the end time.
  - status (str or WorkflowStatus) – Gets the status. Possible values include: ‘NotSpecified’, ‘Paused’, ‘Running’, ‘Waiting’, ‘Succeeded’, ‘Skipped’, ‘Suspended’, ‘Cancelled’, ‘Failed’, ‘Faulted’, ‘TimedOut’, ‘Aborted’, ‘Ignored’
  - code (str) – Gets the code.
  - error (object) – Gets the error.
  - tracking_id (str) – Gets the tracking id.
  - inputs_link (ContentLink) – Gets the link to input parameters.
  - outputs_link (ContentLink) – Gets the link to output parameters.
  - fired (bool) – Gets a value indicating whether trigger was fired.
  - run (ResourceReference) – Gets the reference to workflow run.
  - name (str) – Gets the workflow trigger history name.
  - type (str) – Gets the workflow trigger history type.

  Parameters: | correlation (Correlation) – The run correlation.

class `azure.mgmt.logic.models.``WorkflowTriggerHistoryFilter`(*, status=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The workflow trigger history filter.

  Parameters: | status (str or WorkflowStatus) – The status of workflow trigger history. Possible values include: ‘NotSpecified’, ‘Paused’, ‘Running’, ‘Waiting’, ‘Succeeded’, ‘Skipped’, ‘Suspended’, ‘Cancelled’, ‘Failed’, ‘Faulted’, ‘TimedOut’, ‘Aborted’, ‘Ignored’

class `azure.mgmt.logic.models.``WorkflowRunTrigger`(*, correlation=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The workflow run trigger.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - name (str) – Gets the name.
  - inputs (object) – Gets the inputs.
  - inputs_link (ContentLink) – Gets the link to inputs.
  - outputs (object) – Gets the outputs.
  - outputs_link (ContentLink) – Gets the link to outputs.
  - scheduled_time (datetime) – Gets the scheduled time.
  - start_time (datetime) – Gets the start time.
  - end_time (datetime) – Gets the end time.
  - tracking_id (str) – Gets the tracking id.
  - code (str) – Gets the code.
  - status (str or WorkflowStatus) – Gets the status. Possible values include: ‘NotSpecified’, ‘Paused’, ‘Running’, ‘Waiting’, ‘Succeeded’, ‘Skipped’, ‘Suspended’, ‘Cancelled’, ‘Failed’, ‘Faulted’, ‘TimedOut’, ‘Aborted’, ‘Ignored’
  - error (object) – Gets the error.
  - tracked_properties (object) – Gets the tracked properties.

  Parameters: | correlation (Correlation) – The run correlation.

class `azure.mgmt.logic.models.``WorkflowOutputParameter`(*, type=None, value=None, metadata=None, description: str = None, **kwargs)

  Bases: `azure.mgmt.logic.models.workflow_parameter_py3.WorkflowParameter`

  The workflow output parameter.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - type (str or ParameterType) – The type. Possible values include: ‘NotSpecified’, ‘String’, ‘SecureString’, ‘Int’, ‘Float’, ‘Bool’, ‘Array’, ‘Object’, ‘SecureObject’
  - value (object) – The value.
  - metadata (object) – The metadata.
  - description (str) – The description.

  Variables: | error (object) – Gets the error.

class `azure.mgmt.logic.models.``WorkflowRun`(*, correlation=None, **kwargs)

  Bases: `azure.mgmt.logic.models.sub_resource_py3.SubResource`

  The workflow run.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource id.
  - wait_end_time (datetime) – Gets the wait end time.
  - start_time (datetime) – Gets the start time.
  - end_time (datetime) – Gets the end time.
  - status (str or WorkflowStatus) – Gets the status. Possible values include: ‘NotSpecified’, ‘Paused’, ‘Running’, ‘Waiting’, ‘Succeeded’, ‘Skipped’, ‘Suspended’, ‘Cancelled’, ‘Failed’, ‘Faulted’, ‘TimedOut’, ‘Aborted’, ‘Ignored’
  - code (str) – Gets the code.
  - error (object) – Gets the error.
  - correlation_id (str) – Gets the correlation id.
  - workflow (ResourceReference) – Gets the reference to workflow version.
  - trigger (WorkflowRunTrigger) – Gets the fired trigger.
  - outputs (dict[str, WorkflowOutputParameter]) – Gets the outputs.
  - response (WorkflowRunTrigger) – Gets the response of the flow run.
  - name (str) – Gets the workflow run name.
  - type (str) – Gets the workflow run type.

  Parameters: | correlation (Correlation) – The run correlation.

class `azure.mgmt.logic.models.``WorkflowRunFilter`(*, status=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The workflow run filter.

  Parameters: | status (str or WorkflowStatus) – The status of workflow run. Possible values include: ‘NotSpecified’, ‘Paused’, ‘Running’, ‘Waiting’, ‘Succeeded’, ‘Skipped’, ‘Suspended’, ‘Cancelled’, ‘Failed’, ‘Faulted’, ‘TimedOut’, ‘Aborted’, ‘Ignored’

class `azure.mgmt.logic.models.``ErrorProperties`(*, code: str = None, message: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error properties indicate why the Logic service was not able to process the incoming request. The reason is provided in the error message.

  Parameters:

  - code (str) – Error code.
  - message (str) – Error message indicating why the operation failed.

class `azure.mgmt.logic.models.``ErrorResponse`(*, error=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Error response indicates Logic service is not able to process the incoming request. The error property contains the error details.

  Parameters: | error (ErrorProperties) – The error properties.

class `azure.mgmt.logic.models.``RetryHistory`(*, start_time=None, end_time=None, code: str = None, client_request_id: str = None, service_request_id: str = None, error=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The retry history.

  Parameters:

  - start_time (datetime) – Gets the start time.
  - end_time (datetime) – Gets the end time.
  - code (str) – Gets the status code.
  - client_request_id (str) – Gets the client request Id.
  - service_request_id (str) – Gets the service request Id.
  - error (ErrorResponse) – Gets the error response.

class `azure.mgmt.logic.models.``WorkflowRunAction`(*, correlation=None, retry_history=None, **kwargs)

  Bases: `azure.mgmt.logic.models.sub_resource_py3.SubResource`

  The workflow run action.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource id.
  - start_time (datetime) – Gets the start time.
  - end_time (datetime) – Gets the end time.
  - status (str or WorkflowStatus) – Gets the status. Possible values include: ‘NotSpecified’, ‘Paused’, ‘Running’, ‘Waiting’, ‘Succeeded’, ‘Skipped’, ‘Suspended’, ‘Cancelled’, ‘Failed’, ‘Faulted’, ‘TimedOut’, ‘Aborted’, ‘Ignored’
  - code (str) – Gets the code.
  - error (object) – Gets the error.
  - tracking_id (str) – Gets the tracking id.
  - inputs_link (ContentLink) – Gets the link to inputs.
  - outputs_link (ContentLink) – Gets the link to outputs.
  - tracked_properties (object) – Gets the tracked properties.
  - name (str) – Gets the workflow run action name.
  - type (str) – Gets the workflow run action type.

  Parameters:

  - correlation (Correlation) – The correlation properties.
  - retry_history (list[RetryHistory]) – Gets the retry histories.

class `azure.mgmt.logic.models.``WorkflowRunActionFilter`(*, status=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The workflow run action filter.

  Parameters: | status (str or WorkflowStatus) – The status of workflow run action. Possible values include: ‘NotSpecified’, ‘Paused’, ‘Running’, ‘Waiting’, ‘Succeeded’, ‘Skipped’, ‘Suspended’, ‘Cancelled’, ‘Failed’, ‘Faulted’, ‘TimedOut’, ‘Aborted’, ‘Ignored’

class `azure.mgmt.logic.models.``RegenerateActionParameter`(*, key_type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The access key regenerate action content.

  Parameters: | key_type (str or KeyType) – The key type. Possible values include: ‘NotSpecified’, ‘Primary’, ‘Secondary’

class `azure.mgmt.logic.models.``GenerateUpgradedDefinitionParameters`(*, target_schema_version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters to generate upgraded definition.

  Parameters: | target_schema_version (str) – The target schema version.

class `azure.mgmt.logic.models.``IntegrationAccountSku`(*, name, **kwargs)

  Bases: `msrest.serialization.Model`

  The integration account sku.

  All required parameters must be populated in order to send to Azure.

  Parameters: | name (str or IntegrationAccountSkuName) – Required. The sku name. Possible values include: ‘NotSpecified’, ‘Free’, ‘Basic’, ‘Standard’

class `azure.mgmt.logic.models.``IntegrationAccount`(*, location: str = None, tags=None, properties=None, sku=None, **kwargs)

  Bases: `azure.mgmt.logic.models.resource_py3.Resource`

  The integration account.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource id.
  - name (str) – Gets the resource name.
  - type (str) – Gets the resource type.

  Parameters:

  - location (str) – The resource location.
  - tags (dict[str, str]) – The resource tags.
  - properties (object) – The integration account properties.
  - sku (IntegrationAccountSku) – The sku.

class `azure.mgmt.logic.models.``GetCallbackUrlParameters`(*, not_after=None, key_type=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The callback url parameters.

  Parameters:

  - not_after (datetime) – The expiry time.
  - key_type (str or KeyType) – The key type. Possible values include: ‘NotSpecified’, ‘Primary’, ‘Secondary’

class `azure.mgmt.logic.models.``CallbackUrl`(*, value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The callback url.

  Parameters: | value (str) – The URL value.

class `azure.mgmt.logic.models.``IntegrationAccountSchema`(*, schema_type, location: str = None, tags=None, target_namespace: str = None, document_name: str = None, file_name: str = None, metadata=None, content: str = None, content_type: str = None, **kwargs)

  Bases: `azure.mgmt.logic.models.resource_py3.Resource`

  The integration account schema.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource id.
  - name (str) – Gets the resource name.
  - type (str) – Gets the resource type.
  - created_time (datetime) – The created time.
  - changed_time (datetime) – The changed time.
  - content_link (ContentLink) – The content link.

  Parameters:

  - location (str) – The resource location.
  - tags (dict[str, str]) – The resource tags.
  - schema_type (str or SchemaType) – Required. The schema type. Possible values include: ‘NotSpecified’, ‘Xml’
  - target_namespace (str) – The target namespace of the schema.
  - document_name (str) – The document name.
  - file_name (str) – The file name.
  - metadata (object) – The metadata.
  - content (str) – The content.
  - content_type (str) – The content type.

class `azure.mgmt.logic.models.``IntegrationAccountSchemaFilter`(*, schema_type, **kwargs)

  Bases: `msrest.serialization.Model`

  The integration account schema filter for odata query.

  All required parameters must be populated in order to send to Azure.

  Parameters: | schema_type (str or SchemaType) – Required. The schema type of integration account schema. Possible values include: ‘NotSpecified’, ‘Xml’

class `azure.mgmt.logic.models.``IntegrationAccountMapPropertiesParametersSchema`(*, ref: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The parameters schema of integration account map.

  Parameters: | ref (str) – The reference name.

class `azure.mgmt.logic.models.``IntegrationAccountMap`(*, map_type, location: str = None, tags=None, parameters_schema=None, content: str = None, content_type: str = None, metadata=None, **kwargs)

  Bases: `azure.mgmt.logic.models.resource_py3.Resource`

  The integration account map.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource id.
  - name (str) – Gets the resource name.
  - type (str) – Gets the resource type.
  - created_time (datetime) – The created time.
  - changed_time (datetime) – The changed time.
  - content_link (ContentLink) – The content link.

  Parameters:

  - location (str) – The resource location.
  - tags (dict[str, str]) – The resource tags.
  - map_type (str or MapType) – Required. The map type. Possible values include: ‘NotSpecified’, ‘Xslt’, ‘Xslt20’, ‘Xslt30’, ‘Liquid’
  - parameters_schema (IntegrationAccountMapPropertiesParametersSchema) – The parameters schema of integration account map.
  - content (str) – The content.
  - content_type (str) – The content type.
  - metadata (object) – The metadata.

class `azure.mgmt.logic.models.``IntegrationAccountMapFilter`(*, map_type, **kwargs)

  Bases: `msrest.serialization.Model`

  The integration account map filter for odata query.

  All required parameters must be populated in order to send to Azure.

  Parameters: | map_type (str or MapType) – Required. The map type of integration account map. Possible values include: ‘NotSpecified’, ‘Xslt’, ‘Xslt20’, ‘Xslt30’, ‘Liquid’

class `azure.mgmt.logic.models.``BusinessIdentity`(*, qualifier: str, value: str, **kwargs)

  Bases: `msrest.serialization.Model`

  The integration account partner’s business identity.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - qualifier (str) – Required. The business identity qualifier e.g. as2identity, ZZ, ZZZ, 31, 32
  - value (str) – Required. The user defined business identity value.

class `azure.mgmt.logic.models.``B2BPartnerContent`(*, business_identities=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The B2B partner content.

  Parameters: | business_identities (list[BusinessIdentity]) – The list of partner business identities.

class `azure.mgmt.logic.models.``PartnerContent`(*, b2b=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The integration account partner content.

  Parameters: | b2b (B2BPartnerContent) – The B2B partner content.

class `azure.mgmt.logic.models.``IntegrationAccountPartner`(*, partner_type, content, location: str = None, tags=None, metadata=None, **kwargs)

  Bases: `azure.mgmt.logic.models.resource_py3.Resource`

  The integration account partner.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource id.
  - name (str) – Gets the resource name.
  - type (str) – Gets the resource type.
  - created_time (datetime) – The created time.
  - changed_time (datetime) – The changed time.

  Parameters:

  - location (str) – The resource location.
  - tags (dict[str, str]) – The resource tags.
  - partner_type (str or PartnerType) – Required. The partner type. Possible values include: ‘NotSpecified’, ‘B2B’
  - metadata (object) – The metadata.
  - content (PartnerContent) – Required. The partner content.

class `azure.mgmt.logic.models.``IntegrationAccountPartnerFilter`(*, partner_type, **kwargs)

  Bases: `msrest.serialization.Model`

  The integration account partner filter for odata query.

  All required parameters must be populated in order to send to Azure.

  Parameters: | partner_type (str or PartnerType) – Required. The partner type of integration account partner. Possible values include: ‘NotSpecified’, ‘B2B’

class `azure.mgmt.logic.models.``AS2MessageConnectionSettings`(*, ignore_certificate_name_mismatch: bool, support_http_status_code_continue: bool, keep_http_connection_alive: bool, unfold_http_headers: bool, **kwargs)

  Bases: `msrest.serialization.Model`

  The AS2 agreement message connection settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - ignore_certificate_name_mismatch (bool) – Required. The value indicating whether to ignore mismatch in certificate name.
  - support_http_status_code_continue (bool) – Required. The value indicating whether to support HTTP status code ‘CONTINUE’.
  - keep_http_connection_alive (bool) – Required. The value indicating whether to keep the connection alive.
  - unfold_http_headers (bool) – Required. The value indicating whether to unfold the HTTP headers.

class `azure.mgmt.logic.models.``AS2AcknowledgementConnectionSettings`(*, ignore_certificate_name_mismatch: bool, support_http_status_code_continue: bool, keep_http_connection_alive: bool, unfold_http_headers: bool, **kwargs)

  Bases: `msrest.serialization.Model`

  The AS2 agreement acknowledgement connection settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - ignore_certificate_name_mismatch (bool) – Required. The value indicating whether to ignore mismatch in certificate name.
  - support_http_status_code_continue (bool) – Required. The value indicating whether to support HTTP status code ‘CONTINUE’.
  - keep_http_connection_alive (bool) – Required. The value indicating whether to keep the connection alive.
  - unfold_http_headers (bool) – Required. The value indicating whether to unfold the HTTP headers.

class `azure.mgmt.logic.models.``AS2MdnSettings`(*, need_mdn: bool, sign_mdn: bool, send_mdn_asynchronously: bool, sign_outbound_mdn_if_optional: bool, send_inbound_mdn_to_message_box: bool, mic_hashing_algorithm, receipt_delivery_url: str = None, disposition_notification_to: str = None, mdn_text: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The AS2 agreement mdn settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - need_mdn (bool) – Required. The value indicating whether to send or request a MDN.
  - sign_mdn (bool) – Required. The value indicating whether the MDN needs to be signed or not.
  - send_mdn_asynchronously (bool) – Required. The value indicating whether to send the asynchronous MDN.
  - receipt_delivery_url (str) – The receipt delivery URL.
  - disposition_notification_to (str) – The disposition notification to header value.
  - sign_outbound_mdn_if_optional (bool) – Required. The value indicating whether to sign the outbound MDN if optional.
  - mdn_text (str) – The MDN text.
  - send_inbound_mdn_to_message_box (bool) – Required. The value indicating whether to send inbound MDN to message box.
  - mic_hashing_algorithm (str or HashingAlgorithm) – Required. The signing or hashing algorithm. Possible values include: ‘NotSpecified’, ‘None’, ‘MD5’, ‘SHA1’, ‘SHA2256’, ‘SHA2384’, ‘SHA2512’

class `azure.mgmt.logic.models.``AS2SecuritySettings`(*, override_group_signing_certificate: bool, enable_nrr_for_inbound_encoded_messages: bool, enable_nrr_for_inbound_decoded_messages: bool, enable_nrr_for_outbound_mdn: bool, enable_nrr_for_outbound_encoded_messages: bool, enable_nrr_for_outbound_decoded_messages: bool, enable_nrr_for_inbound_mdn: bool, signing_certificate_name: str = None, encryption_certificate_name: str = None, sha2_algorithm_format: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The AS2 agreement security settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - override_group_signing_certificate (bool) – Required. The value indicating whether to send or request a MDN.
  - signing_certificate_name (str) – The name of the signing certificate.
  - encryption_certificate_name (str) – The name of the encryption certificate.
  - enable_nrr_for_inbound_encoded_messages (bool) – Required. The value indicating whether to enable NRR for inbound encoded messages.
  - enable_nrr_for_inbound_decoded_messages (bool) – Required. The value indicating whether to enable NRR for inbound decoded messages.
  - enable_nrr_for_outbound_mdn (bool) – Required. The value indicating whether to enable NRR for outbound MDN.
  - enable_nrr_for_outbound_encoded_messages (bool) – Required. The value indicating whether to enable NRR for outbound encoded messages.
  - enable_nrr_for_outbound_decoded_messages (bool) – Required. The value indicating whether to enable NRR for outbound decoded messages.
  - enable_nrr_for_inbound_mdn (bool) – Required. The value indicating whether to enable NRR for inbound MDN.
  - sha2_algorithm_format (str) – The Sha2 algorithm format. Valid values are Sha2, ShaHashSize, ShaHyphenHashSize, Sha2UnderscoreHashSize.

class `azure.mgmt.logic.models.``AS2ValidationSettings`(*, override_message_properties: bool, encrypt_message: bool, sign_message: bool, compress_message: bool, check_duplicate_message: bool, interchange_duplicates_validity_days: int, check_certificate_revocation_list_on_send: bool, check_certificate_revocation_list_on_receive: bool, encryption_algorithm, signing_algorithm=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The AS2 agreement validation settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - override_message_properties (bool) – Required. The value indicating whether to override incoming message properties with those in agreement.
  - encrypt_message (bool) – Required. The value indicating whether the message has to be encrypted.
  - sign_message (bool) – Required. The value indicating whether the message has to be signed.
  - compress_message (bool) – Required. The value indicating whether the message has to be compressed.
  - check_duplicate_message (bool) – Required. The value indicating whether to check for duplicate message.
  - interchange_duplicates_validity_days (int) – Required. The number of days to look back for duplicate interchange.
  - check_certificate_revocation_list_on_send (bool) – Required. The value indicating whether to check for certificate revocation list on send.
  - check_certificate_revocation_list_on_receive (bool) – Required. The value indicating whether to check for certificate revocation list on receive.
  - encryption_algorithm (str or EncryptionAlgorithm) – Required. The encryption algorithm. Possible values include: ‘NotSpecified’, ‘None’, ‘DES3’, ‘RC2’, ‘AES128’, ‘AES192’, ‘AES256’
  - signing_algorithm (str or SigningAlgorithm) – The signing algorithm. Possible values include: ‘NotSpecified’, ‘Default’, ‘SHA1’, ‘SHA2256’, ‘SHA2384’, ‘SHA2512’

class `azure.mgmt.logic.models.``AS2EnvelopeSettings`(*, message_content_type: str, transmit_file_name_in_mime_header: bool, file_name_template: str, suspend_message_on_file_name_generation_error: bool, autogenerate_file_name: bool, **kwargs)

  Bases: `msrest.serialization.Model`

  The AS2 agreement envelope settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - message_content_type (str) – Required. The message content type.
  - transmit_file_name_in_mime_header (bool) – Required. The value indicating whether to transmit file name in mime header.
  - file_name_template (str) – Required. The template for file name.
  - suspend_message_on_file_name_generation_error (bool) – Required. The value indicating whether to suspend message on file name generation error.
  - autogenerate_file_name (bool) – Required. The value indicating whether to auto generate file name.

class `azure.mgmt.logic.models.``AS2ErrorSettings`(*, suspend_duplicate_message: bool, resend_if_mdn_not_received: bool, **kwargs)

  Bases: `msrest.serialization.Model`

  The AS2 agreement error settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - suspend_duplicate_message (bool) – Required. The value indicating whether to suspend duplicate message.
  - resend_if_mdn_not_received (bool) – Required. The value indicating whether to resend message If MDN is not received.

class `azure.mgmt.logic.models.``AS2ProtocolSettings`(*, message_connection_settings, acknowledgement_connection_settings, mdn_settings, security_settings, validation_settings, envelope_settings, error_settings, **kwargs)

  Bases: `msrest.serialization.Model`

  The AS2 agreement protocol settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - message_connection_settings (AS2MessageConnectionSettings) – Required. The message connection settings.
  - acknowledgement_connection_settings (AS2AcknowledgementConnectionSettings) – Required. The acknowledgement connection settings.
  - mdn_settings (AS2MdnSettings) – Required. The MDN settings.
  - security_settings (AS2SecuritySettings) – Required. The security settings.
  - validation_settings (AS2ValidationSettings) – Required. The validation settings.
  - envelope_settings (AS2EnvelopeSettings) – Required. The envelope settings.
  - error_settings (AS2ErrorSettings) – Required. The error settings.

class `azure.mgmt.logic.models.``AS2OneWayAgreement`(*, sender_business_identity, receiver_business_identity, protocol_settings, **kwargs)

  Bases: `msrest.serialization.Model`

  The integration account AS2 one-way agreement.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - sender_business_identity (BusinessIdentity) – Required. The sender business identity
  - receiver_business_identity (BusinessIdentity) – Required. The receiver business identity
  - protocol_settings (AS2ProtocolSettings) – Required. The AS2 protocol settings.

class `azure.mgmt.logic.models.``AS2AgreementContent`(*, receive_agreement, send_agreement, **kwargs)

  Bases: `msrest.serialization.Model`

  The integration account AS2 agreement content.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - receive_agreement (AS2OneWayAgreement) – Required. The AS2 one-way receive agreement.
  - send_agreement (AS2OneWayAgreement) – Required. The AS2 one-way send agreement.

class `azure.mgmt.logic.models.``X12ValidationSettings`(*, validate_character_set: bool, check_duplicate_interchange_control_number: bool, interchange_control_number_validity_days: int, check_duplicate_group_control_number: bool, check_duplicate_transaction_set_control_number: bool, validate_edi_types: bool, validate_xsd_types: bool, allow_leading_and_trailing_spaces_and_zeroes: bool, trim_leading_and_trailing_spaces_and_zeroes: bool, trailing_separator_policy, **kwargs)

  Bases: `msrest.serialization.Model`

  The X12 agreement validation settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - validate_character_set (bool) – Required. The value indicating whether to validate character set in the message.
  - check_duplicate_interchange_control_number (bool) – Required. The value indicating whether to check for duplicate interchange control number.
  - interchange_control_number_validity_days (int) – Required. The validity period of interchange control number.
  - check_duplicate_group_control_number (bool) – Required. The value indicating whether to check for duplicate group control number.
  - check_duplicate_transaction_set_control_number (bool) – Required. The value indicating whether to check for duplicate transaction set control number.
  - validate_edi_types (bool) – Required. The value indicating whether to Whether to validate EDI types.
  - validate_xsd_types (bool) – Required. The value indicating whether to Whether to validate XSD types.
  - allow_leading_and_trailing_spaces_and_zeroes (bool) – Required. The value indicating whether to allow leading and trailing spaces and zeroes.
  - trim_leading_and_trailing_spaces_and_zeroes (bool) – Required. The value indicating whether to trim leading and trailing spaces and zeroes.
  - trailing_separator_policy (str or TrailingSeparatorPolicy) – Required. The trailing separator policy. Possible values include: ‘NotSpecified’, ‘NotAllowed’, ‘Optional’, ‘Mandatory’

class `azure.mgmt.logic.models.``X12FramingSettings`(*, data_element_separator: int, component_separator: int, replace_separators_in_payload: bool, replace_character: int, segment_terminator: int, character_set, segment_terminator_suffix, **kwargs)

  Bases: `msrest.serialization.Model`

  The X12 agreement framing settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - data_element_separator (int) – Required. The data element separator.
  - component_separator (int) – Required. The component separator.
  - replace_separators_in_payload (bool) – Required. The value indicating whether to replace separators in payload.
  - replace_character (int) – Required. The replacement character.
  - segment_terminator (int) – Required. The segment terminator.
  - character_set (str or X12CharacterSet) – Required. The X12 character set. Possible values include: ‘NotSpecified’, ‘Basic’, ‘Extended’, ‘UTF8’
  - segment_terminator_suffix (str or SegmentTerminatorSuffix) – Required. The segment terminator suffix. Possible values include: ‘NotSpecified’, ‘None’, ‘CR’, ‘LF’, ‘CRLF’

class `azure.mgmt.logic.models.``X12EnvelopeSettings`(*, control_standards_id: int, use_control_standards_id_as_repetition_character: bool, sender_application_id: str, receiver_application_id: str, control_version_number: str, interchange_control_number_lower_bound: int, interchange_control_number_upper_bound: int, rollover_interchange_control_number: bool, enable_default_group_headers: bool, group_control_number_lower_bound: int, group_control_number_upper_bound: int, rollover_group_control_number: bool, group_header_agency_code: str, group_header_version: str, transaction_set_control_number_lower_bound: int, transaction_set_control_number_upper_bound: int, rollover_transaction_set_control_number: bool, overwrite_existing_transaction_set_control_number: bool, group_header_date_format, group_header_time_format, usage_indicator, functional_group_id: str = None, transaction_set_control_number_prefix: str = None, transaction_set_control_number_suffix: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The X12 agreement envelope settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - control_standards_id (int) – Required. The controls standards id.
  - use_control_standards_id_as_repetition_character (bool) – Required. The value indicating whether to use control standards id as repetition character.
  - sender_application_id (str) – Required. The sender application id.
  - receiver_application_id (str) – Required. The receiver application id.
  - control_version_number (str) – Required. The control version number.
  - interchange_control_number_lower_bound (int) – Required. The interchange control number lower bound.
  - interchange_control_number_upper_bound (int) – Required. The interchange control number upper bound.
  - rollover_interchange_control_number (bool) – Required. The value indicating whether to rollover interchange control number.
  - enable_default_group_headers (bool) – Required. The value indicating whether to enable default group headers.
  - functional_group_id (str) – The functional group id.
  - group_control_number_lower_bound (int) – Required. The group control number lower bound.
  - group_control_number_upper_bound (int) – Required. The group control number upper bound.
  - rollover_group_control_number (bool) – Required. The value indicating whether to rollover group control number.
  - group_header_agency_code (str) – Required. The group header agency code.
  - group_header_version (str) – Required. The group header version.
  - transaction_set_control_number_lower_bound (int) – Required. The transaction set control number lower bound.
  - transaction_set_control_number_upper_bound (int) – Required. The transaction set control number upper bound.
  - rollover_transaction_set_control_number (bool) – Required. The value indicating whether to rollover transaction set control number.
  - transaction_set_control_number_prefix (str) – The transaction set control number prefix.
  - transaction_set_control_number_suffix (str) – The transaction set control number suffix.
  - overwrite_existing_transaction_set_control_number (bool) – Required. The value indicating whether to overwrite existing transaction set control number.
  - group_header_date_format (str or X12DateFormat) – Required. The group header date format. Possible values include: ‘NotSpecified’, ‘CCYYMMDD’, ‘YYMMDD’
  - group_header_time_format (str or X12TimeFormat) – Required. The group header time format. Possible values include: ‘NotSpecified’, ‘HHMM’, ‘HHMMSS’, ‘HHMMSSdd’, ‘HHMMSSd’
  - usage_indicator (str or UsageIndicator) – Required. The usage indicator. Possible values include: ‘NotSpecified’, ‘Test’, ‘Information’, ‘Production’

class `azure.mgmt.logic.models.``X12AcknowledgementSettings`(*, need_technical_acknowledgement: bool, batch_technical_acknowledgements: bool, need_functional_acknowledgement: bool, batch_functional_acknowledgements: bool, need_implementation_acknowledgement: bool, batch_implementation_acknowledgements: bool, need_loop_for_valid_messages: bool, send_synchronous_acknowledgement: bool, acknowledgement_control_number_lower_bound: int, acknowledgement_control_number_upper_bound: int, rollover_acknowledgement_control_number: bool, functional_acknowledgement_version: str = None, implementation_acknowledgement_version: str = None, acknowledgement_control_number_prefix: str = None, acknowledgement_control_number_suffix: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The X12 agreement acknowledgement settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - need_technical_acknowledgement (bool) – Required. The value indicating whether technical acknowledgement is needed.
  - batch_technical_acknowledgements (bool) – Required. The value indicating whether to batch the technical acknowledgements.
  - need_functional_acknowledgement (bool) – Required. The value indicating whether functional acknowledgement is needed.
  - functional_acknowledgement_version (str) – The functional acknowledgement version.
  - batch_functional_acknowledgements (bool) – Required. The value indicating whether to batch functional acknowledgements.
  - need_implementation_acknowledgement (bool) – Required. The value indicating whether implementation acknowledgement is needed.
  - implementation_acknowledgement_version (str) – The implementation acknowledgement version.
  - batch_implementation_acknowledgements (bool) – Required. The value indicating whether to batch implementation acknowledgements.
  - need_loop_for_valid_messages (bool) – Required. The value indicating whether a loop is needed for valid messages.
  - send_synchronous_acknowledgement (bool) – Required. The value indicating whether to send synchronous acknowledgement.
  - acknowledgement_control_number_prefix (str) – The acknowledgement control number prefix.
  - acknowledgement_control_number_suffix (str) – The acknowledgement control number suffix.
  - acknowledgement_control_number_lower_bound (int) – Required. The acknowledgement control number lower bound.
  - acknowledgement_control_number_upper_bound (int) – Required. The acknowledgement control number upper bound.
  - rollover_acknowledgement_control_number (bool) – Required. The value indicating whether to rollover acknowledgement control number.

class `azure.mgmt.logic.models.``X12MessageFilter`(*, message_filter_type, **kwargs)

  Bases: `msrest.serialization.Model`

  The X12 message filter for odata query.

  All required parameters must be populated in order to send to Azure.

  Parameters: | message_filter_type (str or MessageFilterType) – Required. The message filter type. Possible values include: ‘NotSpecified’, ‘Include’, ‘Exclude’

class `azure.mgmt.logic.models.``X12SecuritySettings`(*, authorization_qualifier: str, security_qualifier: str, authorization_value: str = None, password_value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The X12 agreement security settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - authorization_qualifier (str) – Required. The authorization qualifier.
  - authorization_value (str) – The authorization value.
  - security_qualifier (str) – Required. The security qualifier.
  - password_value (str) – The password value.

class `azure.mgmt.logic.models.``X12ProcessingSettings`(*, mask_security_info: bool, convert_implied_decimal: bool, preserve_interchange: bool, suspend_interchange_on_error: bool, create_empty_xml_tags_for_trailing_separators: bool, use_dot_as_decimal_separator: bool, **kwargs)

  Bases: `msrest.serialization.Model`

  The X12 processing settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - mask_security_info (bool) – Required. The value indicating whether to mask security information.
  - convert_implied_decimal (bool) – Required. The value indicating whether to convert numerical type to implied decimal.
  - preserve_interchange (bool) – Required. The value indicating whether to preserve interchange.
  - suspend_interchange_on_error (bool) – Required. The value indicating whether to suspend interchange on error.
  - create_empty_xml_tags_for_trailing_separators (bool) – Required. The value indicating whether to create empty xml tags for trailing separators.
  - use_dot_as_decimal_separator (bool) – Required. The value indicating whether to use dot as decimal separator.

class `azure.mgmt.logic.models.``X12EnvelopeOverride`(*, target_namespace: str, protocol_version: str, message_id: str, responsible_agency_code: str, header_version: str, sender_application_id: str, receiver_application_id: str, date_format, time_format, functional_identifier_code: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The X12 envelope override settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - target_namespace (str) – Required. The target namespace on which this envelope settings has to be applied.
  - protocol_version (str) – Required. The protocol version on which this envelope settings has to be applied.
  - message_id (str) – Required. The message id on which this envelope settings has to be applied.
  - responsible_agency_code (str) – Required. The responsible agency code.
  - header_version (str) – Required. The header version.
  - sender_application_id (str) – Required. The sender application id.
  - receiver_application_id (str) – Required. The receiver application id.
  - functional_identifier_code (str) – The functional identifier code.
  - date_format (str or X12DateFormat) – Required. The date format. Possible values include: ‘NotSpecified’, ‘CCYYMMDD’, ‘YYMMDD’
  - time_format (str or X12TimeFormat) – Required. The time format. Possible values include: ‘NotSpecified’, ‘HHMM’, ‘HHMMSS’, ‘HHMMSSdd’, ‘HHMMSSd’

class `azure.mgmt.logic.models.``X12ValidationOverride`(*, message_id: str, validate_edi_types: bool, validate_xsd_types: bool, allow_leading_and_trailing_spaces_and_zeroes: bool, validate_character_set: bool, trim_leading_and_trailing_spaces_and_zeroes: bool, trailing_separator_policy, **kwargs)

  Bases: `msrest.serialization.Model`

  The X12 validation override settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - message_id (str) – Required. The message id on which the validation settings has to be applied.
  - validate_edi_types (bool) – Required. The value indicating whether to validate EDI types.
  - validate_xsd_types (bool) – Required. The value indicating whether to validate XSD types.
  - allow_leading_and_trailing_spaces_and_zeroes (bool) – Required. The value indicating whether to allow leading and trailing spaces and zeroes.
  - validate_character_set (bool) – Required. The value indicating whether to validate character Set.
  - trim_leading_and_trailing_spaces_and_zeroes (bool) – Required. The value indicating whether to trim leading and trailing spaces and zeroes.
  - trailing_separator_policy (str or TrailingSeparatorPolicy) – Required. The trailing separator policy. Possible values include: ‘NotSpecified’, ‘NotAllowed’, ‘Optional’, ‘Mandatory’

class `azure.mgmt.logic.models.``X12MessageIdentifier`(*, message_id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  The X12 message identifier.

  All required parameters must be populated in order to send to Azure.

  Parameters: | message_id (str) – Required. The message id.

class `azure.mgmt.logic.models.``X12SchemaReference`(*, message_id: str, schema_version: str, schema_name: str, sender_application_id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The X12 schema reference.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - message_id (str) – Required. The message id.
  - sender_application_id (str) – The sender application id.
  - schema_version (str) – Required. The schema version.
  - schema_name (str) – Required. The schema name.

class `azure.mgmt.logic.models.``X12DelimiterOverrides`(*, data_element_separator: int, component_separator: int, segment_terminator: int, segment_terminator_suffix, replace_character: int, replace_separators_in_payload: bool, protocol_version: str = None, message_id: str = None, target_namespace: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The X12 delimiter override settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - protocol_version (str) – The protocol version.
  - message_id (str) – The message id.
  - data_element_separator (int) – Required. The data element separator.
  - component_separator (int) – Required. The component separator.
  - segment_terminator (int) – Required. The segment terminator.
  - segment_terminator_suffix (str or SegmentTerminatorSuffix) – Required. The segment terminator suffix. Possible values include: ‘NotSpecified’, ‘None’, ‘CR’, ‘LF’, ‘CRLF’
  - replace_character (int) – Required. The replacement character.
  - replace_separators_in_payload (bool) – Required. The value indicating whether to replace separators in payload.
  - target_namespace (str) – The target namespace on which this delimiter settings has to be applied.

class `azure.mgmt.logic.models.``X12ProtocolSettings`(*, validation_settings, framing_settings, envelope_settings, acknowledgement_settings, message_filter, security_settings, processing_settings, schema_references, envelope_overrides=None, validation_overrides=None, message_filter_list=None, x12_delimiter_overrides=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The X12 agreement protocol settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - validation_settings (X12ValidationSettings) – Required. The X12 validation settings.
  - framing_settings (X12FramingSettings) – Required. The X12 framing settings.
  - envelope_settings (X12EnvelopeSettings) – Required. The X12 envelope settings.
  - acknowledgement_settings (X12AcknowledgementSettings) – Required. The X12 acknowledgment settings.
  - message_filter (X12MessageFilter) – Required. The X12 message filter.
  - security_settings (X12SecuritySettings) – Required. The X12 security settings.
  - processing_settings (X12ProcessingSettings) – Required. The X12 processing settings.
  - envelope_overrides (list[X12EnvelopeOverride]) – The X12 envelope override settings.
  - validation_overrides (list[X12ValidationOverride]) – The X12 validation override settings.
  - message_filter_list (list[X12MessageIdentifier]) – The X12 message filter list.
  - schema_references (list[X12SchemaReference]) – Required. The X12 schema references.
  - x12_delimiter_overrides (list[X12DelimiterOverrides]) – The X12 delimiter override settings.

class `azure.mgmt.logic.models.``X12OneWayAgreement`(*, sender_business_identity, receiver_business_identity, protocol_settings, **kwargs)

  Bases: `msrest.serialization.Model`

  The X12 one-way agreement.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - sender_business_identity (BusinessIdentity) – Required. The sender business identity
  - receiver_business_identity (BusinessIdentity) – Required. The receiver business identity
  - protocol_settings (X12ProtocolSettings) – Required. The X12 protocol settings.

class `azure.mgmt.logic.models.``X12AgreementContent`(*, receive_agreement, send_agreement, **kwargs)

  Bases: `msrest.serialization.Model`

  The X12 agreement content.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - receive_agreement (X12OneWayAgreement) – Required. The X12 one-way receive agreement.
  - send_agreement (X12OneWayAgreement) – Required. The X12 one-way send agreement.

class `azure.mgmt.logic.models.``EdifactValidationSettings`(*, validate_character_set: bool, check_duplicate_interchange_control_number: bool, interchange_control_number_validity_days: int, check_duplicate_group_control_number: bool, check_duplicate_transaction_set_control_number: bool, validate_edi_types: bool, validate_xsd_types: bool, allow_leading_and_trailing_spaces_and_zeroes: bool, trim_leading_and_trailing_spaces_and_zeroes: bool, trailing_separator_policy, **kwargs)

  Bases: `msrest.serialization.Model`

  The Edifact agreement validation settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - validate_character_set (bool) – Required. The value indicating whether to validate character set in the message.
  - check_duplicate_interchange_control_number (bool) – Required. The value indicating whether to check for duplicate interchange control number.
  - interchange_control_number_validity_days (int) – Required. The validity period of interchange control number.
  - check_duplicate_group_control_number (bool) – Required. The value indicating whether to check for duplicate group control number.
  - check_duplicate_transaction_set_control_number (bool) – Required. The value indicating whether to check for duplicate transaction set control number.
  - validate_edi_types (bool) – Required. The value indicating whether to Whether to validate EDI types.
  - validate_xsd_types (bool) – Required. The value indicating whether to Whether to validate XSD types.
  - allow_leading_and_trailing_spaces_and_zeroes (bool) – Required. The value indicating whether to allow leading and trailing spaces and zeroes.
  - trim_leading_and_trailing_spaces_and_zeroes (bool) – Required. The value indicating whether to trim leading and trailing spaces and zeroes.
  - trailing_separator_policy (str or TrailingSeparatorPolicy) – Required. The trailing separator policy. Possible values include: ‘NotSpecified’, ‘NotAllowed’, ‘Optional’, ‘Mandatory’

class `azure.mgmt.logic.models.``EdifactFramingSettings`(*, protocol_version: int, data_element_separator: int, component_separator: int, segment_terminator: int, release_indicator: int, repetition_separator: int, character_set, decimal_point_indicator, segment_terminator_suffix, service_code_list_directory_version: str = None, character_encoding: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Edifact agreement framing settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - service_code_list_directory_version (str) – The service code list directory version.
  - character_encoding (str) – The character encoding.
  - protocol_version (int) – Required. The protocol version.
  - data_element_separator (int) – Required. The data element separator.
  - component_separator (int) – Required. The component separator.
  - segment_terminator (int) – Required. The segment terminator.
  - release_indicator (int) – Required. The release indicator.
  - repetition_separator (int) – Required. The repetition separator.
  - character_set (str or EdifactCharacterSet) – Required. The EDIFACT frame setting characterSet. Possible values include: ‘NotSpecified’, ‘UNOB’, ‘UNOA’, ‘UNOC’, ‘UNOD’, ‘UNOE’, ‘UNOF’, ‘UNOG’, ‘UNOH’, ‘UNOI’, ‘UNOJ’, ‘UNOK’, ‘UNOX’, ‘UNOY’, ‘KECA’
  - decimal_point_indicator (str or EdifactDecimalIndicator) – Required. The EDIFACT frame setting decimal indicator. Possible values include: ‘NotSpecified’, ‘Comma’, ‘Decimal’
  - segment_terminator_suffix (str or SegmentTerminatorSuffix) – Required. The EDIFACT frame setting segment terminator suffix. Possible values include: ‘NotSpecified’, ‘None’, ‘CR’, ‘LF’, ‘CRLF’

class `azure.mgmt.logic.models.``EdifactEnvelopeSettings`(*, apply_delimiter_string_advice: bool, create_grouping_segments: bool, enable_default_group_headers: bool, interchange_control_number_lower_bound: int, interchange_control_number_upper_bound: int, rollover_interchange_control_number: bool, group_control_number_lower_bound: int, group_control_number_upper_bound: int, rollover_group_control_number: bool, overwrite_existing_transaction_set_control_number: bool, transaction_set_control_number_lower_bound: int, transaction_set_control_number_upper_bound: int, rollover_transaction_set_control_number: bool, is_test_interchange: bool, group_association_assigned_code: str = None, communication_agreement_id: str = None, recipient_reference_password_value: str = None, recipient_reference_password_qualifier: str = None, application_reference_id: str = None, processing_priority_code: str = None, interchange_control_number_prefix: str = None, interchange_control_number_suffix: str = None, sender_reverse_routing_address: str = None, receiver_reverse_routing_address: str = None, functional_group_id: str = None, group_controlling_agency_code: str = None, group_message_version: str = None, group_message_release: str = None, group_control_number_prefix: str = None, group_control_number_suffix: str = None, group_application_receiver_qualifier: str = None, group_application_receiver_id: str = None, group_application_sender_qualifier: str = None, group_application_sender_id: str = None, group_application_password: str = None, transaction_set_control_number_prefix: str = None, transaction_set_control_number_suffix: str = None, sender_internal_identification: str = None, sender_internal_sub_identification: str = None, receiver_internal_identification: str = None, receiver_internal_sub_identification: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Edifact agreement envelope settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - group_association_assigned_code (str) – The group association assigned code.
  - communication_agreement_id (str) – The communication agreement id.
  - apply_delimiter_string_advice (bool) – Required. The value indicating whether to apply delimiter string advice.
  - create_grouping_segments (bool) – Required. The value indicating whether to create grouping segments.
  - enable_default_group_headers (bool) – Required. The value indicating whether to enable default group headers.
  - recipient_reference_password_value (str) – The recipient reference password value.
  - recipient_reference_password_qualifier (str) – The recipient reference password qualifier.
  - application_reference_id (str) – The application reference id.
  - processing_priority_code (str) – The processing priority code.
  - interchange_control_number_lower_bound (long) – Required. The interchange control number lower bound.
  - interchange_control_number_upper_bound (long) – Required. The interchange control number upper bound.
  - rollover_interchange_control_number (bool) – Required. The value indicating whether to rollover interchange control number.
  - interchange_control_number_prefix (str) – The interchange control number prefix.
  - interchange_control_number_suffix (str) – The interchange control number suffix.
  - sender_reverse_routing_address (str) – The sender reverse routing address.
  - receiver_reverse_routing_address (str) – The receiver reverse routing address.
  - functional_group_id (str) – The functional group id.
  - group_controlling_agency_code (str) – The group controlling agency code.
  - group_message_version (str) – The group message version.
  - group_message_release (str) – The group message release.
  - group_control_number_lower_bound (long) – Required. The group control number lower bound.
  - group_control_number_upper_bound (long) – Required. The group control number upper bound.
  - rollover_group_control_number (bool) – Required. The value indicating whether to rollover group control number.
  - group_control_number_prefix (str) – The group control number prefix.
  - group_control_number_suffix (str) – The group control number suffix.
  - group_application_receiver_qualifier (str) – The group application receiver qualifier.
  - group_application_receiver_id (str) – The group application receiver id.
  - group_application_sender_qualifier (str) – The group application sender qualifier.
  - group_application_sender_id (str) – The group application sender id.
  - group_application_password (str) – The group application password.
  - overwrite_existing_transaction_set_control_number (bool) – Required. The value indicating whether to overwrite existing transaction set control number.
  - transaction_set_control_number_prefix (str) – The transaction set control number prefix.
  - transaction_set_control_number_suffix (str) – The transaction set control number suffix.
  - transaction_set_control_number_lower_bound (long) – Required. The transaction set control number lower bound.
  - transaction_set_control_number_upper_bound (long) – Required. The transaction set control number upper bound.
  - rollover_transaction_set_control_number (bool) – Required. The value indicating whether to rollover transaction set control number.
  - is_test_interchange (bool) – Required. The value indicating whether the message is a test interchange.
  - sender_internal_identification (str) – The sender internal identification.
  - sender_internal_sub_identification (str) – The sender internal sub identification.
  - receiver_internal_identification (str) – The receiver internal identification.
  - receiver_internal_sub_identification (str) – The receiver internal sub identification.

class `azure.mgmt.logic.models.``EdifactAcknowledgementSettings`(*, need_technical_acknowledgement: bool, batch_technical_acknowledgements: bool, need_functional_acknowledgement: bool, batch_functional_acknowledgements: bool, need_loop_for_valid_messages: bool, send_synchronous_acknowledgement: bool, acknowledgement_control_number_lower_bound: int, acknowledgement_control_number_upper_bound: int, rollover_acknowledgement_control_number: bool, acknowledgement_control_number_prefix: str = None, acknowledgement_control_number_suffix: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Edifact agreement acknowledgement settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - need_technical_acknowledgement (bool) – Required. The value indicating whether technical acknowledgement is needed.
  - batch_technical_acknowledgements (bool) – Required. The value indicating whether to batch the technical acknowledgements.
  - need_functional_acknowledgement (bool) – Required. The value indicating whether functional acknowledgement is needed.
  - batch_functional_acknowledgements (bool) – Required. The value indicating whether to batch functional acknowledgements.
  - need_loop_for_valid_messages (bool) – Required. The value indicating whether a loop is needed for valid messages.
  - send_synchronous_acknowledgement (bool) – Required. The value indicating whether to send synchronous acknowledgement.
  - acknowledgement_control_number_prefix (str) – The acknowledgement control number prefix.
  - acknowledgement_control_number_suffix (str) – The acknowledgement control number suffix.
  - acknowledgement_control_number_lower_bound (int) – Required. The acknowledgement control number lower bound.
  - acknowledgement_control_number_upper_bound (int) – Required. The acknowledgement control number upper bound.
  - rollover_acknowledgement_control_number (bool) – Required. The value indicating whether to rollover acknowledgement control number.

class `azure.mgmt.logic.models.``EdifactMessageFilter`(*, message_filter_type, **kwargs)

  Bases: `msrest.serialization.Model`

  The Edifact message filter for odata query.

  All required parameters must be populated in order to send to Azure.

  Parameters: | message_filter_type (str or MessageFilterType) – Required. The message filter type. Possible values include: ‘NotSpecified’, ‘Include’, ‘Exclude’

class `azure.mgmt.logic.models.``EdifactProcessingSettings`(*, mask_security_info: bool, preserve_interchange: bool, suspend_interchange_on_error: bool, create_empty_xml_tags_for_trailing_separators: bool, use_dot_as_decimal_separator: bool, **kwargs)

  Bases: `msrest.serialization.Model`

  The Edifact agreement protocol settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - mask_security_info (bool) – Required. The value indicating whether to mask security information.
  - preserve_interchange (bool) – Required. The value indicating whether to preserve interchange.
  - suspend_interchange_on_error (bool) – Required. The value indicating whether to suspend interchange on error.
  - create_empty_xml_tags_for_trailing_separators (bool) – Required. The value indicating whether to create empty xml tags for trailing separators.
  - use_dot_as_decimal_separator (bool) – Required. The value indicating whether to use dot as decimal separator.

class `azure.mgmt.logic.models.``EdifactEnvelopeOverride`(*, message_id: str = None, message_version: str = None, message_release: str = None, message_association_assigned_code: str = None, target_namespace: str = None, functional_group_id: str = None, sender_application_qualifier: str = None, sender_application_id: str = None, receiver_application_qualifier: str = None, receiver_application_id: str = None, controlling_agency_code: str = None, group_header_message_version: str = None, group_header_message_release: str = None, association_assigned_code: str = None, application_password: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Edifact envelope override settings.

  Parameters:

  - message_id (str) – The message id on which this envelope settings has to be applied.
  - message_version (str) – The message version on which this envelope settings has to be applied.
  - message_release (str) – The message release version on which this envelope settings has to be applied.
  - message_association_assigned_code (str) – The message association assigned code.
  - target_namespace (str) – The target namespace on which this envelope settings has to be applied.
  - functional_group_id (str) – The functional group id.
  - sender_application_qualifier (str) – The sender application qualifier.
  - sender_application_id (str) – The sender application id.
  - receiver_application_qualifier (str) – The receiver application qualifier.
  - receiver_application_id (str) – The receiver application id.
  - controlling_agency_code (str) – The controlling agency code.
  - group_header_message_version (str) – The group header message version.
  - group_header_message_release (str) – The group header message release.
  - association_assigned_code (str) – The association assigned code.
  - application_password (str) – The application password.

class `azure.mgmt.logic.models.``EdifactMessageIdentifier`(*, message_id: str, **kwargs)

  Bases: `msrest.serialization.Model`

  The Edifact message identifier.

  All required parameters must be populated in order to send to Azure.

  Parameters: | message_id (str) – Required. The message id on which this envelope settings has to be applied.

class `azure.mgmt.logic.models.``EdifactSchemaReference`(*, message_id: str, message_version: str, message_release: str, schema_name: str, sender_application_id: str = None, sender_application_qualifier: str = None, association_assigned_code: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Edifact schema reference.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - message_id (str) – Required. The message id.
  - message_version (str) – Required. The message version.
  - message_release (str) – Required. The message release version.
  - sender_application_id (str) – The sender application id.
  - sender_application_qualifier (str) – The sender application qualifier.
  - association_assigned_code (str) – The association assigned code.
  - schema_name (str) – Required. The schema name.

class `azure.mgmt.logic.models.``EdifactValidationOverride`(*, message_id: str, enforce_character_set: bool, validate_edi_types: bool, validate_xsd_types: bool, allow_leading_and_trailing_spaces_and_zeroes: bool, trailing_separator_policy, trim_leading_and_trailing_spaces_and_zeroes: bool, **kwargs)

  Bases: `msrest.serialization.Model`

  The Edifact validation override settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - message_id (str) – Required. The message id on which the validation settings has to be applied.
  - enforce_character_set (bool) – Required. The value indicating whether to validate character Set.
  - validate_edi_types (bool) – Required. The value indicating whether to validate EDI types.
  - validate_xsd_types (bool) – Required. The value indicating whether to validate XSD types.
  - allow_leading_and_trailing_spaces_and_zeroes (bool) – Required. The value indicating whether to allow leading and trailing spaces and zeroes.
  - trailing_separator_policy (str or TrailingSeparatorPolicy) – Required. The trailing separator policy. Possible values include: ‘NotSpecified’, ‘NotAllowed’, ‘Optional’, ‘Mandatory’
  - trim_leading_and_trailing_spaces_and_zeroes (bool) – Required. The value indicating whether to trim leading and trailing spaces and zeroes.

class `azure.mgmt.logic.models.``EdifactDelimiterOverride`(*, data_element_separator: int, component_separator: int, segment_terminator: int, repetition_separator: int, segment_terminator_suffix, decimal_point_indicator, release_indicator: int, message_id: str = None, message_version: str = None, message_release: str = None, message_association_assigned_code: str = None, target_namespace: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Edifact delimiter override settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - message_id (str) – The message id.
  - message_version (str) – The message version.
  - message_release (str) – The message release.
  - data_element_separator (int) – Required. The data element separator.
  - component_separator (int) – Required. The component separator.
  - segment_terminator (int) – Required. The segment terminator.
  - repetition_separator (int) – Required. The repetition separator.
  - segment_terminator_suffix (str or SegmentTerminatorSuffix) – Required. The segment terminator suffix. Possible values include: ‘NotSpecified’, ‘None’, ‘CR’, ‘LF’, ‘CRLF’
  - decimal_point_indicator (str or EdifactDecimalIndicator) – Required. The decimal point indicator. Possible values include: ‘NotSpecified’, ‘Comma’, ‘Decimal’
  - release_indicator (int) – Required. The release indicator.
  - message_association_assigned_code (str) – The message association assigned code.
  - target_namespace (str) – The target namespace on which this delimiter settings has to be applied.

class `azure.mgmt.logic.models.``EdifactProtocolSettings`(*, validation_settings, framing_settings, envelope_settings, acknowledgement_settings, message_filter, processing_settings, schema_references, envelope_overrides=None, message_filter_list=None, validation_overrides=None, edifact_delimiter_overrides=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The Edifact agreement protocol settings.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - validation_settings (EdifactValidationSettings) – Required. The EDIFACT validation settings.
  - framing_settings (EdifactFramingSettings) – Required. The EDIFACT framing settings.
  - envelope_settings (EdifactEnvelopeSettings) – Required. The EDIFACT envelope settings.
  - acknowledgement_settings (EdifactAcknowledgementSettings) – Required. The EDIFACT acknowledgement settings.
  - message_filter (EdifactMessageFilter) – Required. The EDIFACT message filter.
  - processing_settings (EdifactProcessingSettings) – Required. The EDIFACT processing Settings.
  - envelope_overrides (list[EdifactEnvelopeOverride]) – The EDIFACT envelope override settings.
  - message_filter_list (list[EdifactMessageIdentifier]) – The EDIFACT message filter list.
  - schema_references (list[EdifactSchemaReference]) – Required. The EDIFACT schema references.
  - validation_overrides (list[EdifactValidationOverride]) – The EDIFACT validation override settings.
  - edifact_delimiter_overrides (list[EdifactDelimiterOverride]) – The EDIFACT delimiter override settings.

class `azure.mgmt.logic.models.``EdifactOneWayAgreement`(*, sender_business_identity, receiver_business_identity, protocol_settings, **kwargs)

  Bases: `msrest.serialization.Model`

  The Edifact one way agreement.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - sender_business_identity (BusinessIdentity) – Required. The sender business identity
  - receiver_business_identity (BusinessIdentity) – Required. The receiver business identity
  - protocol_settings (EdifactProtocolSettings) – Required. The EDIFACT protocol settings.

class `azure.mgmt.logic.models.``EdifactAgreementContent`(*, receive_agreement, send_agreement, **kwargs)

  Bases: `msrest.serialization.Model`

  The Edifact agreement content.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - receive_agreement (EdifactOneWayAgreement) – Required. The EDIFACT one-way receive agreement.
  - send_agreement (EdifactOneWayAgreement) – Required. The EDIFACT one-way send agreement.

class `azure.mgmt.logic.models.``AgreementContent`(*, a_s2=None, x12=None, edifact=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The integration account agreement content.

  Parameters:

  - a_s2 (AS2AgreementContent) – The AS2 agreement content.
  - x12 (X12AgreementContent) – The X12 agreement content.
  - edifact (EdifactAgreementContent) – The EDIFACT agreement content.

class `azure.mgmt.logic.models.``IntegrationAccountAgreement`(*, agreement_type, host_partner: str, guest_partner: str, host_identity, guest_identity, content, location: str = None, tags=None, metadata=None, **kwargs)

  Bases: `azure.mgmt.logic.models.resource_py3.Resource`

  The integration account agreement.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource id.
  - name (str) – Gets the resource name.
  - type (str) – Gets the resource type.
  - created_time (datetime) – The created time.
  - changed_time (datetime) – The changed time.

  Parameters:

  - location (str) – The resource location.
  - tags (dict[str, str]) – The resource tags.
  - metadata (object) – The metadata.
  - agreement_type (str or AgreementType) – Required. The agreement type. Possible values include: ‘NotSpecified’, ‘AS2’, ‘X12’, ‘Edifact’
  - host_partner (str) – Required. The integration account partner that is set as host partner for this agreement.
  - guest_partner (str) – Required. The integration account partner that is set as guest partner for this agreement.
  - host_identity (BusinessIdentity) – Required. The business identity of the host partner.
  - guest_identity (BusinessIdentity) – Required. The business identity of the guest partner.
  - content (AgreementContent) – Required. The agreement content.

class `azure.mgmt.logic.models.``IntegrationAccountAgreementFilter`(*, agreement_type, **kwargs)

  Bases: `msrest.serialization.Model`

  The integration account agreement filter for odata query.

  All required parameters must be populated in order to send to Azure.

  Parameters: | agreement_type (str or AgreementType) – Required. The agreement type of integration account agreement. Possible values include: ‘NotSpecified’, ‘AS2’, ‘X12’, ‘Edifact’

class `azure.mgmt.logic.models.``KeyVaultKeyReferenceKeyVault`(*, id: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The key vault reference.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | id (str) – The resource id.

  Variables:

  - name (str) – The resource name.
  - type (str) – The resource type.

class `azure.mgmt.logic.models.``KeyVaultKeyReference`(*, key_vault, key_name: str, key_version: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The reference to the key vault key.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key_vault (KeyVaultKeyReferenceKeyVault) – Required. The key vault reference.
  - key_name (str) – Required. The private key name in key vault.
  - key_version (str) – The private key version in key vault.

class `azure.mgmt.logic.models.``IntegrationAccountCertificate`(*, location: str = None, tags=None, metadata=None, key=None, public_certificate: str = None, **kwargs)

  Bases: `azure.mgmt.logic.models.resource_py3.Resource`

  The integration account certificate.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource id.
  - name (str) – Gets the resource name.
  - type (str) – Gets the resource type.
  - created_time (datetime) – The created time.
  - changed_time (datetime) – The changed time.

  Parameters:

  - location (str) – The resource location.
  - tags (dict[str, str]) – The resource tags.
  - metadata (object) – The metadata.
  - key (KeyVaultKeyReference) – The key details in the key vault.
  - public_certificate (str) – The public certificate.

class `azure.mgmt.logic.models.``IntegrationAccountSessionFilter`(*, changed_time, **kwargs)

  Bases: `msrest.serialization.Model`

  The integration account session filter.

  All required parameters must be populated in order to send to Azure.

  Parameters: | changed_time (datetime) – Required. The changed time of integration account sessions.

class `azure.mgmt.logic.models.``IntegrationAccountSession`(*, location: str = None, tags=None, content=None, **kwargs)

  Bases: `azure.mgmt.logic.models.resource_py3.Resource`

  The integration account session.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource id.
  - name (str) – Gets the resource name.
  - type (str) – Gets the resource type.
  - created_time (datetime) – The created time.
  - changed_time (datetime) – The changed time.

  Parameters:

  - location (str) – The resource location.
  - tags (dict[str, str]) – The resource tags.
  - content (object) – The session content.

class `azure.mgmt.logic.models.``OperationDisplay`(*, provider: str = None, resource: str = None, operation: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The object that represents the operation.

  Parameters:

  - provider (str) – Service provider: Microsoft.Logic
  - resource (str) – Resource on which the operation is performed: Profile, endpoint, etc.
  - operation (str) – Operation type: Read, write, delete, etc.

class `azure.mgmt.logic.models.``Operation`(*, name: str = None, display=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Logic REST API operation.

  Parameters:

  - name (str) – Operation name: {provider}/{resource}/{operation}
  - display (OperationDisplay) – The object that represents the operation.

class `azure.mgmt.logic.models.``KeyVaultReference`(*, id: str = None, **kwargs)

  Bases: `azure.mgmt.logic.models.resource_reference_py3.ResourceReference`

  The key vault reference.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters: | id (str) – The resource id.

  Variables:

  - name (str) – Gets the resource name.
  - type (str) – Gets the resource type.

class `azure.mgmt.logic.models.``ListKeyVaultKeysDefinition`(*, key_vault, skip_token: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The list key vault keys definition.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key_vault (KeyVaultReference) – Required. The key vault reference.
  - skip_token (str) – The skip token.

class `azure.mgmt.logic.models.``KeyVaultKeyAttributes`(*, enabled: bool = None, created: int = None, updated: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The key attributes.

  Parameters:

  - enabled (bool) – Whether the key is enabled or not.
  - created (long) – When the key was created.
  - updated (long) – When the key was updated.

class `azure.mgmt.logic.models.``KeyVaultKey`(*, kid: str = None, attributes=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The key vault key.

  Parameters:

  - kid (str) – The key id.
  - attributes (KeyVaultKeyAttributes) – The key attributes.

class `azure.mgmt.logic.models.``TrackingEventErrorInfo`(*, message: str = None, code: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  TrackingEventErrorInfo.

  Parameters:

  - message (str) –
  - code (str) –

class `azure.mgmt.logic.models.``TrackingEvent`(*, event_level, event_time, record_type, error=None, **kwargs)

  Bases: `msrest.serialization.Model`

  TrackingEvent.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - event_level (str or EventLevel) – Required. Possible values include: ‘LogAlways’, ‘Critical’, ‘Error’, ‘Warning’, ‘Informational’, ‘Verbose’
  - event_time (datetime) – Required.
  - record_type (str or TrackingRecordType) – Required. Possible values include: ‘NotSpecified’, ‘Custom’, ‘AS2Message’, ‘AS2MDN’, ‘X12Interchange’, ‘X12FunctionalGroup’, ‘X12TransactionSet’, ‘X12InterchangeAcknowledgment’, ‘X12FunctionalGroupAcknowledgment’, ‘X12TransactionSetAcknowledgment’, ‘EdifactInterchange’, ‘EdifactFunctionalGroup’, ‘EdifactTransactionSet’, ‘EdifactInterchangeAcknowledgment’, ‘EdifactFunctionalGroupAcknowledgment’, ‘EdifactTransactionSetAcknowledgment’
  - error (TrackingEventErrorInfo) –

class `azure.mgmt.logic.models.``TrackingEventsDefinition`(*, source_type: str, events, track_events_options=None, **kwargs)

  Bases: `msrest.serialization.Model`

  TrackingEventsDefinition.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - source_type (str) – Required.
  - track_events_options (str or TrackEventsOperationOptions) – Possible values include: ‘None’, ‘DisableSourceInfoEnrich’
  - events (list[TrackingEvent]) – Required.

class `azure.mgmt.logic.models.``SetTriggerStateActionDefinition`(*, source, **kwargs)

  Bases: `msrest.serialization.Model`

  SetTriggerStateActionDefinition.

  All required parameters must be populated in order to send to Azure.

  Parameters: | source (WorkflowTrigger) – Required.

class `azure.mgmt.logic.models.``ExpressionRoot`(*, text: str = None, value=None, subexpressions=None, error=None, path: str = None, **kwargs)

  Bases: `azure.mgmt.logic.models.expression_py3.Expression`

  ExpressionRoot.

  Parameters:

  - text (str) –
  - value (object) –
  - subexpressions (list[Expression]) –
  - error (AzureResourceErrorInfo) –
  - path (str) – The path.

class `azure.mgmt.logic.models.``AzureResourceErrorInfo`(*, code: str, message: str, details=None, **kwargs)

  Bases: `azure.mgmt.logic.models.error_info_py3.ErrorInfo`

  The azure resource error info.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - code (str) – Required. The error code.
  - message (str) – Required. The error message.
  - details (list[AzureResourceErrorInfo]) – The error details.

class `azure.mgmt.logic.models.``Expression`(*, text: str = None, value=None, subexpressions=None, error=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Expression.

  Parameters:

  - text (str) –
  - value (object) –
  - subexpressions (list[Expression]) –
  - error (AzureResourceErrorInfo) –

class `azure.mgmt.logic.models.``ErrorInfo`(*, code: str, **kwargs)

  Bases: `msrest.serialization.Model`

  The error info.

  All required parameters must be populated in order to send to Azure.

  Parameters: | code (str) – Required. The error code.

class `azure.mgmt.logic.models.``RepetitionIndex`(*, item_index: int, scope_name: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The workflow run action repetition index.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - scope_name (str) – The scope.
  - item_index (int) – Required. The index.

class `azure.mgmt.logic.models.``WorkflowRunActionRepetitionDefinition`(*, location: str = None, tags=None, start_time=None, end_time=None, correlation=None, status=None, code: str = None, error=None, retry_history=None, iteration_count: int = None, repetition_indexes=None, **kwargs)

  Bases: `azure.mgmt.logic.models.resource_py3.Resource`

  The workflow run action repetition definition.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource id.
  - name (str) – Gets the resource name.
  - type (str) – Gets the resource type.
  - tracking_id (str) – Gets the tracking id.
  - inputs (object) – Gets the inputs.
  - inputs_link (ContentLink) – Gets the link to inputs.
  - outputs (object) – Gets the outputs.
  - outputs_link (ContentLink) – Gets the link to outputs.
  - tracked_properties (object) – Gets the tracked properties.

  Parameters:

  - location (str) – The resource location.
  - tags (dict[str, str]) – The resource tags.
  - start_time (datetime) – The start time of the workflow scope repetition.
  - end_time (datetime) – The end time of the workflow scope repetition.
  - correlation (RunActionCorrelation) – The correlation properties.
  - status (str or WorkflowStatus) – The status of the workflow scope repetition. Possible values include: ‘NotSpecified’, ‘Paused’, ‘Running’, ‘Waiting’, ‘Succeeded’, ‘Skipped’, ‘Suspended’, ‘Cancelled’, ‘Failed’, ‘Faulted’, ‘TimedOut’, ‘Aborted’, ‘Ignored’
  - code (str) – The workflow scope repetition code.
  - error (object) –
  - retry_history (list[RetryHistory]) – Gets the retry histories.
  - iteration_count (int) –
  - repetition_indexes (list[RepetitionIndex]) – The repetition indexes.

class `azure.mgmt.logic.models.``WorkflowRunActionRepetitionDefinitionCollection`(*, value=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A collection of workflow run action repetitions.

  Parameters: | value (list[WorkflowRunActionRepetitionDefinition]) –

class `azure.mgmt.logic.models.``OperationResult`(*, start_time=None, end_time=None, correlation=None, status=None, code: str = None, error=None, retry_history=None, iteration_count: int = None, **kwargs)

  Bases: `azure.mgmt.logic.models.operation_result_properties_py3.OperationResultProperties`

  The operation result definition.

  Variables are only populated by the server, and will be ignored when sending a request.

  Parameters:

  - start_time (datetime) – The start time of the workflow scope repetition.
  - end_time (datetime) – The end time of the workflow scope repetition.
  - correlation (RunActionCorrelation) – The correlation properties.
  - status (str or WorkflowStatus) – The status of the workflow scope repetition. Possible values include: ‘NotSpecified’, ‘Paused’, ‘Running’, ‘Waiting’, ‘Succeeded’, ‘Skipped’, ‘Suspended’, ‘Cancelled’, ‘Failed’, ‘Faulted’, ‘TimedOut’, ‘Aborted’, ‘Ignored’
  - code (str) – The workflow scope repetition code.
  - error (object) –
  - retry_history (list[RetryHistory]) – Gets the retry histories.
  - iteration_count (int) –

  Variables:

  - tracking_id (str) – Gets the tracking id.
  - inputs (object) – Gets the inputs.
  - inputs_link (ContentLink) – Gets the link to inputs.
  - outputs (object) – Gets the outputs.
  - outputs_link (ContentLink) – Gets the link to outputs.
  - tracked_properties (object) – Gets the tracked properties.

class `azure.mgmt.logic.models.``RunActionCorrelation`(*, client_tracking_id: str = None, client_keywords=None, action_tracking_id: str = None, **kwargs)

  Bases: `azure.mgmt.logic.models.run_correlation_py3.RunCorrelation`

  The workflow run action correlation properties.

  Parameters:

  - client_tracking_id (str) – The client tracking identifier.
  - client_keywords (list[str]) – The client keywords.
  - action_tracking_id (str) – The action tracking identifier.

class `azure.mgmt.logic.models.``OperationResultProperties`(*, start_time=None, end_time=None, correlation=None, status=None, code: str = None, error=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The run operation result properties.

  Parameters:

  - start_time (datetime) – The start time of the workflow scope repetition.
  - end_time (datetime) – The end time of the workflow scope repetition.
  - correlation (RunActionCorrelation) – The correlation properties.
  - status (str or WorkflowStatus) – The status of the workflow scope repetition. Possible values include: ‘NotSpecified’, ‘Paused’, ‘Running’, ‘Waiting’, ‘Succeeded’, ‘Skipped’, ‘Suspended’, ‘Cancelled’, ‘Failed’, ‘Faulted’, ‘TimedOut’, ‘Aborted’, ‘Ignored’
  - code (str) – The workflow scope repetition code.
  - error (object) –

class `azure.mgmt.logic.models.``RunCorrelation`(*, client_tracking_id: str = None, client_keywords=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The correlation properties.

  Parameters:

  - client_tracking_id (str) – The client tracking identifier.
  - client_keywords (list[str]) – The client keywords.

class `azure.mgmt.logic.models.``JsonSchema`(*, title: str = None, content: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  The JSON schema.

  Parameters:

  - title (str) – The JSON title.
  - content (str) – The JSON content.

class `azure.mgmt.logic.models.``AssemblyProperties`(*, assembly_name: str, created_time=None, changed_time=None, metadata=None, content=None, content_type: str = None, content_link=None, assembly_version: str = None, assembly_culture: str = None, assembly_public_key_token: str = None, **kwargs)

  Bases: `azure.mgmt.logic.models.artifact_content_properties_definition_py3.ArtifactContentPropertiesDefinition`

  The assembly properties definition.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - created_time (datetime) – The artifact creation time.
  - changed_time (datetime) – The artifact changed time.
  - metadata (object) –
  - content (object) –
  - content_type (str) – The content type.
  - content_link (ContentLink) – The content link.
  - assembly_name (str) – Required. The assembly name.
  - assembly_version (str) – The assembly version.
  - assembly_culture (str) – The assembly culture.
  - assembly_public_key_token (str) – The assembly public key token.

class `azure.mgmt.logic.models.``AssemblyDefinition`(*, properties, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.logic.models.resource_py3.Resource`

  The assembly definition.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource id.
  - name (str) – Gets the resource name.
  - type (str) – Gets the resource type.

  Parameters:

  - location (str) – The resource location.
  - tags (dict[str, str]) – The resource tags.
  - properties (AssemblyProperties) – Required. The assembly properties.

class `azure.mgmt.logic.models.``ArtifactContentPropertiesDefinition`(*, created_time=None, changed_time=None, metadata=None, content=None, content_type: str = None, content_link=None, **kwargs)

  Bases: `azure.mgmt.logic.models.artifact_properties_py3.ArtifactProperties`

  The artifact content properties definition.

  Parameters:

  - created_time (datetime) – The artifact creation time.
  - changed_time (datetime) – The artifact changed time.
  - metadata (object) –
  - content (object) –
  - content_type (str) – The content type.
  - content_link (ContentLink) – The content link.

class `azure.mgmt.logic.models.``ArtifactProperties`(*, created_time=None, changed_time=None, metadata=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The artifact properties definition.

  Parameters:

  - created_time (datetime) – The artifact creation time.
  - changed_time (datetime) – The artifact changed time.
  - metadata (object) –

class `azure.mgmt.logic.models.``BatchReleaseCriteria`(*, message_count: int = None, batch_size: int = None, recurrence=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The batch release criteria.

  Parameters:

  - message_count (int) – The message count.
  - batch_size (int) – The batch size in bytes.
  - recurrence (WorkflowTriggerRecurrence) – The recurrence.

class `azure.mgmt.logic.models.``BatchConfigurationProperties`(*, batch_group_name: str, release_criteria, created_time=None, changed_time=None, metadata=None, **kwargs)

  Bases: `azure.mgmt.logic.models.artifact_properties_py3.ArtifactProperties`

  The batch configuration properties definition.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - created_time (datetime) – The artifact creation time.
  - changed_time (datetime) – The artifact changed time.
  - metadata (object) –
  - batch_group_name (str) – Required. The name of the batch group.
  - release_criteria (BatchReleaseCriteria) – Required. The batch release criteria.

class `azure.mgmt.logic.models.``BatchConfiguration`(*, properties, location: str = None, tags=None, **kwargs)

  Bases: `azure.mgmt.logic.models.resource_py3.Resource`

  The batch configuration resource definition.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – The resource id.
  - name (str) – Gets the resource name.
  - type (str) – Gets the resource type.

  Parameters:

  - location (str) – The resource location.
  - tags (dict[str, str]) – The resource tags.
  - properties (BatchConfigurationProperties) – Required. The batch configuration properties.

class `azure.mgmt.logic.models.``Request`(*, headers=None, uri: str = None, method: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  A request.

  Parameters:

  - headers (object) – A list of all the headers attached to the request.
  - uri (str) – The destination for the request.
  - method (str) – The HTTP method used for the request.

class `azure.mgmt.logic.models.``Response`(*, headers=None, status_code: int = None, body_link=None, **kwargs)

  Bases: `msrest.serialization.Model`

  A response.

  Parameters:

  - headers (object) – A list of all the headers attached to the response.
  - status_code (int) – The status code of the response.
  - body_link (ContentLink) – Details on the location of the body content.

class `azure.mgmt.logic.models.``RequestHistoryProperties`(*, start_time=None, end_time=None, request=None, response=None, **kwargs)

  Bases: `msrest.serialization.Model`

  The request history.

  Parameters:

  - start_time (datetime) – The time the request started.
  - end_time (datetime) – The time the request ended.
  - request (Request) – The request.
  - response (Response) – The response.

class `azure.mgmt.logic.models.``RequestHistory`(*, location: str = None, tags=None, properties=None, **kwargs)

  Bases: `azure.mgmt.logic.models.resource_py3.Resource`

  The request history.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – The resource id.
  - name (str) – Gets the resource name.
  - type (str) – Gets the resource type.

  Parameters:

  - location (str) – The resource location.
  - tags (dict[str, str]) – The resource tags.
  - properties (RequestHistoryProperties) – The request history properties.

class `azure.mgmt.logic.models.``WorkflowPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Workflow` object

class `azure.mgmt.logic.models.``WorkflowVersionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `WorkflowVersion` object

class `azure.mgmt.logic.models.``WorkflowTriggerPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `WorkflowTrigger` object

class `azure.mgmt.logic.models.``WorkflowTriggerHistoryPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `WorkflowTriggerHistory` object

class `azure.mgmt.logic.models.``WorkflowRunPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `WorkflowRun` object

class `azure.mgmt.logic.models.``WorkflowRunActionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `WorkflowRunAction` object

class `azure.mgmt.logic.models.``ExpressionRootPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `ExpressionRoot` object

class `azure.mgmt.logic.models.``WorkflowRunActionRepetitionDefinitionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `WorkflowRunActionRepetitionDefinition` object

class `azure.mgmt.logic.models.``RequestHistoryPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `RequestHistory` object

class `azure.mgmt.logic.models.``IntegrationAccountPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `IntegrationAccount` object

class `azure.mgmt.logic.models.``KeyVaultKeyPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `KeyVaultKey` object

class `azure.mgmt.logic.models.``AssemblyDefinitionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `AssemblyDefinition` object

class `azure.mgmt.logic.models.``BatchConfigurationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `BatchConfiguration` object

class `azure.mgmt.logic.models.``IntegrationAccountSchemaPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `IntegrationAccountSchema` object

class `azure.mgmt.logic.models.``IntegrationAccountMapPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `IntegrationAccountMap` object

class `azure.mgmt.logic.models.``IntegrationAccountPartnerPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `IntegrationAccountPartner` object

class `azure.mgmt.logic.models.``IntegrationAccountAgreementPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `IntegrationAccountAgreement` object

class `azure.mgmt.logic.models.``IntegrationAccountCertificatePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `IntegrationAccountCertificate` object

class `azure.mgmt.logic.models.``IntegrationAccountSessionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `IntegrationAccountSession` object

class `azure.mgmt.logic.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.logic.models.``WorkflowProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `accepted` = 'Accepted'
  `canceled` = 'Canceled'
  `completed` = 'Completed'
  `created` = 'Created'
  `creating` = 'Creating'
  `deleted` = 'Deleted'
  `deleting` = 'Deleting'
  `failed` = 'Failed'
  `moving` = 'Moving'
  `not_specified` = 'NotSpecified'
  `ready` = 'Ready'
  `registered` = 'Registered'
  `registering` = 'Registering'
  `running` = 'Running'
  `succeeded` = 'Succeeded'
  `unregistered` = 'Unregistered'
  `unregistering` = 'Unregistering'
  `updating` = 'Updating'

class `azure.mgmt.logic.models.``WorkflowState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `completed` = 'Completed'
  `deleted` = 'Deleted'
  `disabled` = 'Disabled'
  `enabled` = 'Enabled'
  `not_specified` = 'NotSpecified'
  `suspended` = 'Suspended'

class `azure.mgmt.logic.models.``SkuName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `free` = 'Free'
  `not_specified` = 'NotSpecified'
  `premium` = 'Premium'
  `shared` = 'Shared'
  `standard` = 'Standard'

class `azure.mgmt.logic.models.``ParameterType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `array` = 'Array'
  `bool_enum` = 'Bool'
  `float_enum` = 'Float'
  `int_enum` = 'Int'
  `not_specified` = 'NotSpecified'
  `object_enum` = 'Object'
  `secure_object` = 'SecureObject'
  `secure_string` = 'SecureString'
  `string` = 'String'

class `azure.mgmt.logic.models.``WorkflowTriggerProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `accepted` = 'Accepted'
  `canceled` = 'Canceled'
  `completed` = 'Completed'
  `created` = 'Created'
  `creating` = 'Creating'
  `deleted` = 'Deleted'
  `deleting` = 'Deleting'
  `failed` = 'Failed'
  `moving` = 'Moving'
  `not_specified` = 'NotSpecified'
  `ready` = 'Ready'
  `registered` = 'Registered'
  `registering` = 'Registering'
  `running` = 'Running'
  `succeeded` = 'Succeeded'
  `unregistered` = 'Unregistered'
  `unregistering` = 'Unregistering'
  `updating` = 'Updating'

class `azure.mgmt.logic.models.``WorkflowStatus`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `aborted` = 'Aborted'
  `cancelled` = 'Cancelled'
  `failed` = 'Failed'
  `faulted` = 'Faulted'
  `ignored` = 'Ignored'
  `not_specified` = 'NotSpecified'
  `paused` = 'Paused'
  `running` = 'Running'
  `skipped` = 'Skipped'
  `succeeded` = 'Succeeded'
  `suspended` = 'Suspended'
  `timed_out` = 'TimedOut'
  `waiting` = 'Waiting'

class `azure.mgmt.logic.models.``RecurrenceFrequency`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `day` = 'Day'
  `hour` = 'Hour'
  `minute` = 'Minute'
  `month` = 'Month'
  `not_specified` = 'NotSpecified'
  `second` = 'Second'
  `week` = 'Week'
  `year` = 'Year'

class `azure.mgmt.logic.models.``DaysOfWeek`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `friday` = 'Friday'
  `monday` = 'Monday'
  `saturday` = 'Saturday'
  `sunday` = 'Sunday'
  `thursday` = 'Thursday'
  `tuesday` = 'Tuesday'
  `wednesday` = 'Wednesday'

class `azure.mgmt.logic.models.``DayOfWeek`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `friday` = 'Friday'
  `monday` = 'Monday'
  `saturday` = 'Saturday'
  `sunday` = 'Sunday'
  `thursday` = 'Thursday'
  `tuesday` = 'Tuesday'
  `wednesday` = 'Wednesday'

class `azure.mgmt.logic.models.``KeyType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `not_specified` = 'NotSpecified'
  `primary` = 'Primary'
  `secondary` = 'Secondary'

class `azure.mgmt.logic.models.``IntegrationAccountSkuName`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `free` = 'Free'
  `not_specified` = 'NotSpecified'
  `standard` = 'Standard'

class `azure.mgmt.logic.models.``SchemaType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `not_specified` = 'NotSpecified'
  `xml` = 'Xml'

class `azure.mgmt.logic.models.``MapType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `liquid` = 'Liquid'
  `not_specified` = 'NotSpecified'
  `xslt` = 'Xslt'
  `xslt20` = 'Xslt20'
  `xslt30` = 'Xslt30'

class `azure.mgmt.logic.models.``PartnerType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `b2_b` = 'B2B'
  `not_specified` = 'NotSpecified'

class `azure.mgmt.logic.models.``AgreementType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `as2` = 'AS2'
  `edifact` = 'Edifact'
  `not_specified` = 'NotSpecified'
  `x12` = 'X12'

class `azure.mgmt.logic.models.``HashingAlgorithm`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `md5` = 'MD5'
  `none` = 'None'
  `not_specified` = 'NotSpecified'
  `sha1` = 'SHA1'
  `sha2256` = 'SHA2256'
  `sha2384` = 'SHA2384'
  `sha2512` = 'SHA2512'

class `azure.mgmt.logic.models.``EncryptionAlgorithm`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `aes128` = 'AES128'
  `aes192` = 'AES192'
  `aes256` = 'AES256'
  `des3` = 'DES3'
  `none` = 'None'
  `not_specified` = 'NotSpecified'
  `rc2` = 'RC2'

class `azure.mgmt.logic.models.``SigningAlgorithm`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `default` = 'Default'
  `not_specified` = 'NotSpecified'
  `sha1` = 'SHA1'
  `sha2256` = 'SHA2256'
  `sha2384` = 'SHA2384'
  `sha2512` = 'SHA2512'

class `azure.mgmt.logic.models.``TrailingSeparatorPolicy`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `mandatory` = 'Mandatory'
  `not_allowed` = 'NotAllowed'
  `not_specified` = 'NotSpecified'
  `optional` = 'Optional'

class `azure.mgmt.logic.models.``X12CharacterSet`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `basic` = 'Basic'
  `extended` = 'Extended'
  `not_specified` = 'NotSpecified'
  `utf8` = 'UTF8'

class `azure.mgmt.logic.models.``SegmentTerminatorSuffix`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `cr` = 'CR'
  `crlf` = 'CRLF'
  `lf` = 'LF'
  `none` = 'None'
  `not_specified` = 'NotSpecified'

class `azure.mgmt.logic.models.``X12DateFormat`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `ccyymmdd` = 'CCYYMMDD'
  `not_specified` = 'NotSpecified'
  `yymmdd` = 'YYMMDD'

class `azure.mgmt.logic.models.``X12TimeFormat`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `hhmm` = 'HHMM'
  `hhmms_sd` = 'HHMMSSd'
  `hhmms_sdd` = 'HHMMSSdd'
  `hhmmss` = 'HHMMSS'
  `not_specified` = 'NotSpecified'

class `azure.mgmt.logic.models.``UsageIndicator`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `information` = 'Information'
  `not_specified` = 'NotSpecified'
  `production` = 'Production'
  `test` = 'Test'

class `azure.mgmt.logic.models.``MessageFilterType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `exclude` = 'Exclude'
  `include` = 'Include'
  `not_specified` = 'NotSpecified'

class `azure.mgmt.logic.models.``EdifactCharacterSet`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `keca` = 'KECA'
  `not_specified` = 'NotSpecified'
  `unoa` = 'UNOA'
  `unob` = 'UNOB'
  `unoc` = 'UNOC'
  `unod` = 'UNOD'
  `unoe` = 'UNOE'
  `unof` = 'UNOF'
  `unog` = 'UNOG'
  `unoh` = 'UNOH'
  `unoi` = 'UNOI'
  `unoj` = 'UNOJ'
  `unok` = 'UNOK'
  `unox` = 'UNOX'
  `unoy` = 'UNOY'

class `azure.mgmt.logic.models.``EdifactDecimalIndicator`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `comma` = 'Comma'
  `decimal_enum` = 'Decimal'
  `not_specified` = 'NotSpecified'

class `azure.mgmt.logic.models.``TrackEventsOperationOptions`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `disable_source_info_enrich` = 'DisableSourceInfoEnrich'
  `none` = 'None'

class `azure.mgmt.logic.models.``EventLevel`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `critical` = 'Critical'
  `error` = 'Error'
  `informational` = 'Informational'
  `log_always` = 'LogAlways'
  `verbose` = 'Verbose'
  `warning` = 'Warning'

class `azure.mgmt.logic.models.``TrackingRecordType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `as2_mdn` = 'AS2MDN'
  `as2_message` = 'AS2Message'
  `custom` = 'Custom'
  `edifact_functional_group` = 'EdifactFunctionalGroup'
  `edifact_functional_group_acknowledgment` = 'EdifactFunctionalGroupAcknowledgment'
  `edifact_interchange` = 'EdifactInterchange'
  `edifact_interchange_acknowledgment` = 'EdifactInterchangeAcknowledgment'
  `edifact_transaction_set` = 'EdifactTransactionSet'
  `edifact_transaction_set_acknowledgment` = 'EdifactTransactionSetAcknowledgment'
  `not_specified` = 'NotSpecified'
  `x12_functional_group` = 'X12FunctionalGroup'
  `x12_functional_group_acknowledgment` = 'X12FunctionalGroupAcknowledgment'
  `x12_interchange` = 'X12Interchange'
  `x12_interchange_acknowledgment` = 'X12InterchangeAcknowledgment'
  `x12_transaction_set` = 'X12TransactionSet'
  `x12_transaction_set_acknowledgment` = 'X12TransactionSetAcknowledgment'